ch.qos.logback.core.encoder

## Class EventObjectInputStream<E>

- java.lang.Object
- - java.io.InputStream
  - - ch.qos.logback.core.encoder.EventObjectInputStream<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class EventObjectInputStream<E>
    extends java.io.InputStream

Restitute the contents of an input stream as java objects.

Author:
  Ceki Gülcü

### Method Summary

Methods
`int` `available()` Returns the number of bytes available
`void` `close()`
`int` `read()`
`E` `readEvent()`

### Methods inherited from class java.io.InputStream

`mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### available

    public int available()
                  throws java.io.IOException

Returns the number of bytes available

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### readEvent

    public E readEvent()
                throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`